@SET_MAKE@
ifeq ($(MAKE),)
MAKE=make
endif


FLAGS=-I ../sources.cc/atoms/include/
LIBS=@LIBS@


#### OS autodetection part of makefile ####


#library components
LIBS+=../sources.cc/atoms/libatoms.a


.SUFFIXES: .c .cc $(OBJ) .exe

.c$(OBJ):
	@CC@ $(FLAGS) $(DEBUG) -c $*.c $(ERROR) -o $*$(OBJ) $(GETTEXT)

.cc$(OBJ):
	@CXX@ $(FLAGS) $(DEBUG) -c $*.cc $(ERROR) -o $*$(OBJ) $(GETTEXT) 

$(OBJ).exe:
	@CXX@ $*$(OBJ) $(LIBS) $(ERROR)


menucfg.exe: menucfg.cc ../sources.cc/atoms/libatoms.a
	@CXX@ $(FLAGS) -o menucfg.exe menucfg.cc $(LIBS)

inst_gt.exe: inst_gt.cc ../sources.cc/atoms/libatoms.a
	@CXX@ $(FLAGS) -o inst_gt.exe inst_gt.cc ../sources.cc/wp2lfuti.cc $(LIBS)


../sources.cc/atoms/libatoms.a:
	$(MAKE) -C ../sources.cc/atoms libatoms.a

clean:
	rm -f igt.bat *.exe *.com *.o *.obj *.bak *.bkp *.map *.rpo *.~?? core *.swp *.ilk *.tfa *.lk1 *.mk1 *.mk *.err *.pch *.ncb *.opt *.plg *.out *.cv4

distclean: clean
	rm makefile
	cp makefile.gen makefile

generic:
	rm makefile
	cp makefile.gen makefile
